Skip to main content
GET
/
connectors
/
consumers
/
{consumer_id}
/
programs
/
me
/
privacy
/
{level}
Gets consumers privacy level details.
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/programs/me/privacy/{level} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/programs/me/privacy/{level}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/programs/me/privacy/{level}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": "<string>",
  "program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2019-01-31T15:16:15.523309+00:00",
  "id": "e2c32b4b-de61-459b-accf-a75f76247946",
  "updated_at": "2020-01-23T12:00:00+00:00"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

level
enum<string>
required

The level of privacy policy.

Available options:
basic,
targeting,
statistics,
smart_ranking,
transaction_triggers

Response

OK

content
string
required
read-only

Description of the privacy policy.

level
enum<string>
required
read-only

Level of the given privacy policy.

Available options:
BASIC,
TRANSACTION_TRIGGERS,
TARGETING,
STATISTICS,
SMART_RANKING,
WEB_ANALYTICS
program_id
string<uuid>
required
read-only

ID of the program.

created_at
string<date-time>
read-only

Object creation datetime

Example:

"2019-01-31T15:16:15.523309+00:00"

id
string<uuid>
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

updated_at
string<date-time> | null
read-only

Date of the last update

Example:

"2020-01-23T12:00:00+00:00"